function AssetOptimizationTest::omitCategory

Removes the 'category' query parameter from the given URL.

Parameters

string $url: The source URL.

Return value

string The URL with the 'category' parameter omitted.

File

core/tests/Drupal/FunctionalTests/Asset/AssetOptimizationTest.php, line 399

Class

AssetOptimizationTest
Tests asset aggregation.

Namespace

Drupal\FunctionalTests\Asset

Code

protected function omitCategory(string $url) : string {
  // First replace the hash, so we don't get served the actual file on disk.
  $url = $this->replaceGroupHash($url);
  $parts = UrlHelper::parse($url);
  unset($parts['query']['category']);
  $query = UrlHelper::buildQuery($parts['query']);
  return $this->getAbsoluteUrl($parts['path'] . '?' . $query . '#' . $parts['fragment']);
}

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.